import oracledb from "oracledb";
/**
 * @description This method is use to execute sql query
 * @param query SQL query string to execute
 */
export declare const sqlExecute: (query: string) => Promise<oracledb.Result<unknown> | undefined>;
/**
 * @description This method gets all columns from a specified Database SQL Query
 *
 * @param response SQL query string to execute
 */
export declare const sqlGetAllColumns: (response: oracledb.Result<unknown> | undefined) => Promise<oracledb.Metadata<unknown>[] | undefined>;
